package com.steering.mes.mcp.entity;

/**
 * 数据库表COUPLING_MAT_M所对应的实体类（生成工具：代码生成器2.4）
 * 
 * @author PC-201412141732 date 2016-04-15
 */
public class CouplingMatMEntity {
	/**
	 * 入库标志(1否、0是)
	 */
	private String instockFlag;
	/**
	 * 压印喷标要求（4项之一）
	 */
	private String demandCopper;
	/**
	 * 探伤要求（4项之一，408401）
	 */
	private String demandDetection;
	/**
	 * 喷砂要求（4项之一）
	 */
	private String demandBlast;
	/**
	 * 磷化镀铜要求（4项之一，408402）
	 */
	private String demandBonderizing;
	/**
	 * 客户Alpha编号
	 */
	private String custAlphaNo;
	/**
	 * 产品特殊要求描述
	 */
	private String orderSpecialDesc;
	/**
	 * 用途代码
	 */
	private String alphaCode;
	/**
	 * 操作工
	 */
	private String colOperator;
	/**
	 * 是否委外锯切（0否，1是）
	 */
	private String ifOutCut;
	/**
	 * 是否委外粗加工（0否，1是）
	 */
	private String ifOutCjg;
	/**
	 * 是否委外压印（0否，1是）
	 */
	private String ifOutImpress;
	/**
	 * 是否委外车丝（0否，1是）
	 */
	private String ifOutLathe;
	/**
	 * 是否委外探伤（0否，1是）
	 */
	private String ifOutDetect;
	/**
	 * 是否委外喷砂（0否，1是）
	 */
	private String ifOutBlast;
	/**
	 * 是否委外镀铜（0否，1是）
	 */
	private String ifOutPltCu;
	/**
	 * 是否委外磷化（0否，1是）
	 */
	private String ifOutPhos;
	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 */
	private String matNo;
	/**
	 * 实绩编号
	 */
	private String resultNo;
	/**
	 * 作业工单号
	 */
	private String zyPlanId;
	/**
	 * 接箍工序订单编号
	 */
	private String proPlanId;
	/**
	 * 产线代码
	 */
	private String plineCode;
	/**
	 * 产线描述
	 */
	private String plineName;
	/**
	 * 判定炉号
	 */
	private String judgeStoveNo;
	/**
	 * 批号（炉批号）
	 */
	private String batchNo;
	/**
	 * 接箍料物料编码
	 */
	private String blWlId;
	/**
	 * 接箍料物料描述
	 */
	private String blWlDesc;
	/**
	 * 接箍料外径(mm)
	 */
	private String minD;
	/**
	 * 接箍料壁厚(mm)
	 */
	private String minH;
	/**
	 * 接箍坯料长度min
	 */
	private String lengthMin;
	/**
	 * 接箍坯料长度max
	 */
	private String lengthMax;
	/**
	 * 接箍坯料锥度
	 */
	private String taper;
	/**
	 * 接箍码
	 */
	private String codeJg;
	/**
	 * 钢种代码
	 */
	private String gradecode;
	/**
	 * 钢种名称
	 */
	private String gradename;
	/**
	 * 钢级(牌号)代码
	 */
	private String steelcode;
	/**
	 * 钢级(牌号)名称
	 */
	private String steelname;
	/**
	 * 扣型代码
	 */
	private String modelCode;
	/**
	 * 扣型描述
	 */
	private String modelDesc;
	/**
	 * 接箍外径
	 */
	private String outdiameter;
	/**
	 * 临界壁厚
	 */
	private String wallthick;
	/**
	 * 接箍规格代码
	 */
	private String specJg;
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc;
	/**
	 * 中孔类别(I、II、III、IV...)
	 */
	private String styleJg;
	/**
	 * 中孔内径
	 */
	private String diameter;
	/**
	 * 测量J值
	 */
	private String checkJVal;
	/**
	 * 接箍长度
	 */
	private String aimlength;
	/**
	 * 单重
	 */
	private String singleweight;
	/**
	 * 监制要求
	 */
	private String monitordemand;
	/**
	 * 是否接箍监制
	 */
	private String ifMonitorJg;
	/**
	 * 监制编号
	 */
	private String prdcrNo;
	/**
	 * 监制人
	 */
	private String producer;
	/**
	 * 监制到场时间
	 */
	private String producerTime;
	/**
	 * 机床编号
	 */
	private String machNo;
	/**
	 * 机床名称
	 */
	private String machNm;
	/**
	 * 个数
	 */
	private String proNum;
	/**
	 * 总重量
	 */
	private String proWt;
	/**
	 * 作业时间
	 */
	private String rroTime;
	/**
	 * 作业班次
	 */
	private String proShift;
	/**
	 * 作业班组
	 */
	private String proGroup;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 框号
	 */
	private String kepNo;
	/**
	 * 仓库代码
	 */
	private String storageNo;
	/**
	 * 库位代码
	 */
	private String locationNo;
	/**
	 * 送判单号DETER_NO
	 */
	private String deterNo = "";
	/**
	 * 送判单序号DETER_NO_SEQ
	 */
	private String deterNoSeq = "";
	/**
	 * 工序判定结果代码JUDGE_RESULT_CODE
	 * @return
	 */
	private String judgeResultCode = "";
	/**
	 * 工序判定结果JUDGE_RESULT
	 * @return
	 */
	private String judgeResult = "";
	/**
	 * 工序判定时间JUDGE_RESULT_TIME
	 * @return
	 */
	private String judgeResultTime = "";

	public String getJudgeResultCode() {
		return judgeResultCode;
	}

	public void setJudgeResultCode(String judgeResultCode) {
		this.judgeResultCode = judgeResultCode;
	}

	public String getJudgeResult() {
		return judgeResult;
	}

	public void setJudgeResult(String judgeResult) {
		this.judgeResult = judgeResult;
	}

	public String getJudgeResultTime() {
		return judgeResultTime;
	}

	public void setJudgeResultTime(String judgeResultTime) {
		this.judgeResultTime = judgeResultTime;
	}

	public String getDeterNo() {
		return deterNo;
	}

	public void setDeterNo(String deterNo) {
		this.deterNo = deterNo;
	}

	public String getDeterNoSeq() {
		return deterNoSeq;
	}

	public void setDeterNoSeq(String deterNoSeq) {
		this.deterNoSeq = deterNoSeq;
	}

	/**
	 * 仓库类型（8003 ）
	 */
	private String storageAttr;
	/**
	 * 仓库类型描述
	 */
	private String storageAttrName;
	/**
	 * 库类别代码(8002 )
	 */
	private String storageTypeNo;
	/**
	 * 库类别代码描述
	 */
	private String storageTypeName;
	/**
	 * 管理单位代码（最底层科室代码）
	 */
	private String managementNo;
	/**
	 * 管理单位名称（最底层科室名称）
	 */
	private String managementName;

	/**
	 * 接箍品种代码PRODUCCODE_JG
	 */
	private String produccodeJg = "";
	/**
	 * 接箍品种名称PRODUCCODE_JG_DESC
	 */
	private String produccodeJgDesc = "";

	public String getProduccodeJg() {
		return produccodeJg;
	}

	public void setProduccodeJg(String produccodeJg) {
		this.produccodeJg = produccodeJg;
	}

	public String getProduccodeJgDesc() {
		return produccodeJgDesc;
	}

	public void setProduccodeJgDesc(String produccodeJgDesc) {
		this.produccodeJgDesc = produccodeJgDesc;
	}

	/**
	 * 是否利库LOCK_LIKU
	 */
	private String lockLiku = "";

	public String getLockLiku() {
		return lockLiku;
	}

	public void setLockLiku(String lockLiku) {
		this.lockLiku = lockLiku;
	}

	public CouplingMatMEntity() {
		instockFlag = "";
		demandCopper = "";
		demandDetection = "";
		demandBlast = "";
		demandBonderizing = "";
		custAlphaNo = "";
		orderSpecialDesc = "";
		alphaCode = "";
		colOperator = "";
		ifOutCut = "";
		ifOutCjg = "";
		ifOutImpress = "";
		ifOutLathe = "";
		ifOutDetect = "";
		ifOutBlast = "";
		ifOutPltCu = "";
		ifOutPhos = "";
		matNo = "";
		resultNo = "";
		zyPlanId = "";
		proPlanId = "";
		plineCode = "";
		plineName = "";
		judgeStoveNo = "";
		batchNo = "";
		blWlId = "";
		blWlDesc = "";
		minD = "";
		minH = "";
		lengthMin = "";
		lengthMax = "";
		taper = "";
		codeJg = "";
		gradecode = "";
		gradename = "";
		steelcode = "";
		steelname = "";
		modelCode = "";
		modelDesc = "";
		outdiameter = "";
		wallthick = "";
		specJg = "";
		specJgDesc = "";
		styleJg = "";
		diameter = "";
		checkJVal = "";
		aimlength = "";
		singleweight = "";
		monitordemand = "";
		ifMonitorJg = "";
		prdcrNo = "";
		producer = "";
		producerTime = "";
		machNo = "";
		machNm = "";
		proNum = "";
		proWt = "";
		rroTime = "";
		proShift = "";
		proGroup = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		kepNo = "";
		storageNo = "";
		locationNo = "";
		storageAttr = "";
		storageAttrName = "";
		storageTypeNo = "";
		storageTypeName = "";
		managementNo = "";
		managementName = "";
	}

	/**
	 * 入库标志(1否、0是)
	 * 
	 * @return value
	 */
	public String getInstockFlag() {
		return instockFlag;
	}

	/**
	 * 入库标志(1否、0是)
	 * 
	 * @param instockFlag
	 *            value
	 */
	public void setInstockFlag(String instockFlag) {
		this.instockFlag = instockFlag;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandCopper() {
		return demandCopper;
	}

	/**
	 * 压印喷标要求（4项之一）
	 * 
	 * @param demandCopper
	 *            value
	 */
	public void setDemandCopper(String demandCopper) {
		this.demandCopper = demandCopper;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @return value
	 */
	public String getDemandDetection() {
		return demandDetection;
	}

	/**
	 * 探伤要求（4项之一，408401）
	 * 
	 * @param demandDetection
	 *            value
	 */
	public void setDemandDetection(String demandDetection) {
		this.demandDetection = demandDetection;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @return value
	 */
	public String getDemandBlast() {
		return demandBlast;
	}

	/**
	 * 喷砂要求（4项之一）
	 * 
	 * @param demandBlast
	 *            value
	 */
	public void setDemandBlast(String demandBlast) {
		this.demandBlast = demandBlast;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @return value
	 */
	public String getDemandBonderizing() {
		return demandBonderizing;
	}

	/**
	 * 磷化镀铜要求（4项之一，408402）
	 * 
	 * @param demandBonderizing
	 *            value
	 */
	public void setDemandBonderizing(String demandBonderizing) {
		this.demandBonderizing = demandBonderizing;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @return value
	 */
	public String getCustAlphaNo() {
		return custAlphaNo;
	}

	/**
	 * 客户Alpha编号
	 * 
	 * @param custAlphaNo
	 *            value
	 */
	public void setCustAlphaNo(String custAlphaNo) {
		this.custAlphaNo = custAlphaNo;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @return value
	 */
	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	/**
	 * 产品特殊要求描述
	 * 
	 * @param orderSpecialDesc
	 *            value
	 */
	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

	/**
	 * 用途代码
	 * 
	 * @return value
	 */
	public String getAlphaCode() {
		return alphaCode;
	}

	/**
	 * 用途代码
	 * 
	 * @param alphaCode
	 *            value
	 */
	public void setAlphaCode(String alphaCode) {
		this.alphaCode = alphaCode;
	}

	/**
	 * 操作工
	 * 
	 * @return value
	 */
	public String getColOperator() {
		return colOperator;
	}

	/**
	 * 操作工
	 * 
	 * @param colOperator
	 *            value
	 */
	public void setColOperator(String colOperator) {
		this.colOperator = colOperator;
	}

	/**
	 * 是否委外锯切（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutCut() {
		return ifOutCut;
	}

	/**
	 * 是否委外锯切（0否，1是）
	 * 
	 * @param ifOutCut
	 *            value
	 */
	public void setIfOutCut(String ifOutCut) {
		this.ifOutCut = ifOutCut;
	}

	/**
	 * 是否委外粗加工（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutCjg() {
		return ifOutCjg;
	}

	/**
	 * 是否委外粗加工（0否，1是）
	 * 
	 * @param ifOutCjg
	 *            value
	 */
	public void setIfOutCjg(String ifOutCjg) {
		this.ifOutCjg = ifOutCjg;
	}

	/**
	 * 是否委外压印（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutImpress() {
		return ifOutImpress;
	}

	/**
	 * 是否委外压印（0否，1是）
	 * 
	 * @param ifOutImpress
	 *            value
	 */
	public void setIfOutImpress(String ifOutImpress) {
		this.ifOutImpress = ifOutImpress;
	}

	/**
	 * 是否委外车丝（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutLathe() {
		return ifOutLathe;
	}

	/**
	 * 是否委外车丝（0否，1是）
	 * 
	 * @param ifOutLathe
	 *            value
	 */
	public void setIfOutLathe(String ifOutLathe) {
		this.ifOutLathe = ifOutLathe;
	}

	/**
	 * 是否委外探伤（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutDetect() {
		return ifOutDetect;
	}

	/**
	 * 是否委外探伤（0否，1是）
	 * 
	 * @param ifOutDetect
	 *            value
	 */
	public void setIfOutDetect(String ifOutDetect) {
		this.ifOutDetect = ifOutDetect;
	}

	/**
	 * 是否委外喷砂（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutBlast() {
		return ifOutBlast;
	}

	/**
	 * 是否委外喷砂（0否，1是）
	 * 
	 * @param ifOutBlast
	 *            value
	 */
	public void setIfOutBlast(String ifOutBlast) {
		this.ifOutBlast = ifOutBlast;
	}

	/**
	 * 是否委外镀铜（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutPltCu() {
		return ifOutPltCu;
	}

	/**
	 * 是否委外镀铜（0否，1是）
	 * 
	 * @param ifOutPltCu
	 *            value
	 */
	public void setIfOutPltCu(String ifOutPltCu) {
		this.ifOutPltCu = ifOutPltCu;
	}

	/**
	 * 是否委外磷化（0否，1是）
	 * 
	 * @return value
	 */
	public String getIfOutPhos() {
		return ifOutPhos;
	}

	/**
	 * 是否委外磷化（0否，1是）
	 * 
	 * @param ifOutPhos
	 *            value
	 */
	public void setIfOutPhos(String ifOutPhos) {
		this.ifOutPhos = ifOutPhos;
	}

	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 * 
	 * @return value
	 */
	public String getMatNo() {
		return matNo;
	}

	/**
	 * 材料号（作业工单号+实绩编号+3位流水）
	 * 
	 * @param matNo
	 *            value
	 */
	public void setMatNo(String matNo) {
		this.matNo = matNo;
	}

	/**
	 * 实绩编号
	 * 
	 * @return value
	 */
	public String getResultNo() {
		return resultNo;
	}

	/**
	 * 实绩编号
	 * 
	 * @param resultNo
	 *            value
	 */
	public void setResultNo(String resultNo) {
		this.resultNo = resultNo;
	}

	/**
	 * 作业工单号
	 * 
	 * @return value
	 */
	public String getZyPlanId() {
		return zyPlanId;
	}

	/**
	 * 作业工单号
	 * 
	 * @param zyPlanId
	 *            value
	 */
	public void setZyPlanId(String zyPlanId) {
		this.zyPlanId = zyPlanId;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 接箍工序订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 判定炉号
	 * 
	 * @return value
	 */
	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	/**
	 * 判定炉号
	 * 
	 * @param judgeStoveNo
	 *            value
	 */
	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
	 * 批号（炉批号）
	 * 
	 * @return value
	 */
	public String getBatchNo() {
		return batchNo;
	}

	/**
	 * 批号（炉批号）
	 * 
	 * @param batchNo
	 *            value
	 */
	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @return value
	 */
	public String getBlWlId() {
		return blWlId;
	}

	/**
	 * 接箍料物料编码
	 * 
	 * @param blWlId
	 *            value
	 */
	public void setBlWlId(String blWlId) {
		this.blWlId = blWlId;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @return value
	 */
	public String getBlWlDesc() {
		return blWlDesc;
	}

	/**
	 * 接箍料物料描述
	 * 
	 * @param blWlDesc
	 *            value
	 */
	public void setBlWlDesc(String blWlDesc) {
		this.blWlDesc = blWlDesc;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @return value
	 */
	public String getMinD() {
		return minD;
	}

	/**
	 * 接箍料外径(mm)
	 * 
	 * @param minD
	 *            value
	 */
	public void setMinD(String minD) {
		this.minD = minD;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @return value
	 */
	public String getMinH() {
		return minH;
	}

	/**
	 * 接箍料壁厚(mm)
	 * 
	 * @param minH
	 *            value
	 */
	public void setMinH(String minH) {
		this.minH = minH;
	}

	/**
	 * 接箍坯料长度min
	 * 
	 * @return value
	 */
	public String getLengthMin() {
		return lengthMin;
	}

	/**
	 * 接箍坯料长度min
	 * 
	 * @param lengthMin
	 *            value
	 */
	public void setLengthMin(String lengthMin) {
		this.lengthMin = lengthMin;
	}

	/**
	 * 接箍坯料长度max
	 * 
	 * @return value
	 */
	public String getLengthMax() {
		return lengthMax;
	}

	/**
	 * 接箍坯料长度max
	 * 
	 * @param lengthMax
	 *            value
	 */
	public void setLengthMax(String lengthMax) {
		this.lengthMax = lengthMax;
	}

	/**
	 * 接箍坯料锥度
	 * 
	 * @return value
	 */
	public String getTaper() {
		return taper;
	}

	/**
	 * 接箍坯料锥度
	 * 
	 * @param taper
	 *            value
	 */
	public void setTaper(String taper) {
		this.taper = taper;
	}

	/**
	 * 接箍码
	 * 
	 * @return value
	 */
	public String getCodeJg() {
		return codeJg;
	}

	/**
	 * 接箍码
	 * 
	 * @param codeJg
	 *            value
	 */
	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @return value
	 */
	public String getSteelcode() {
		return steelcode;
	}

	/**
	 * 钢级(牌号)代码
	 * 
	 * @param steelcode
	 *            value
	 */
	public void setSteelcode(String steelcode) {
		this.steelcode = steelcode;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @return value
	 */
	public String getSteelname() {
		return steelname;
	}

	/**
	 * 钢级(牌号)名称
	 * 
	 * @param steelname
	 *            value
	 */
	public void setSteelname(String steelname) {
		this.steelname = steelname;
	}

	/**
	 * 扣型代码
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 扣型描述
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 扣型描述
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 接箍外径
	 * 
	 * @return value
	 */
	public String getOutdiameter() {
		return outdiameter;
	}

	/**
	 * 接箍外径
	 * 
	 * @param outdiameter
	 *            value
	 */
	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * 临界壁厚
	 * 
	 * @return value
	 */
	public String getWallthick() {
		return wallthick;
	}

	/**
	 * 临界壁厚
	 * 
	 * @param wallthick
	 *            value
	 */
	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @return value
	 */
	public String getStyleJg() {
		return styleJg;
	}

	/**
	 * 中孔类别(I、II、III、IV...)
	 * 
	 * @param styleJg
	 *            value
	 */
	public void setStyleJg(String styleJg) {
		this.styleJg = styleJg;
	}

	/**
	 * 中孔内径
	 * 
	 * @return value
	 */
	public String getDiameter() {
		return diameter;
	}

	/**
	 * 中孔内径
	 * 
	 * @param diameter
	 *            value
	 */
	public void setDiameter(String diameter) {
		this.diameter = diameter;
	}

	/**
	 * 测量J值
	 * 
	 * @return value
	 */
	public String getCheckJVal() {
		return checkJVal;
	}

	/**
	 * 测量J值
	 * 
	 * @param checkJVal
	 *            value
	 */
	public void setCheckJVal(String checkJVal) {
		this.checkJVal = checkJVal;
	}

	/**
	 * 接箍长度
	 * 
	 * @return value
	 */
	public String getAimlength() {
		return aimlength;
	}

	/**
	 * 接箍长度
	 * 
	 * @param aimlength
	 *            value
	 */
	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	/**
	 * 单重
	 * 
	 * @return value
	 */
	public String getSingleweight() {
		return singleweight;
	}

	/**
	 * 单重
	 * 
	 * @param singleweight
	 *            value
	 */
	public void setSingleweight(String singleweight) {
		this.singleweight = singleweight;
	}

	/**
	 * 监制要求
	 * 
	 * @return value
	 */
	public String getMonitordemand() {
		return monitordemand;
	}

	/**
	 * 监制要求
	 * 
	 * @param monitordemand
	 *            value
	 */
	public void setMonitordemand(String monitordemand) {
		this.monitordemand = monitordemand;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @return value
	 */
	public String getIfMonitorJg() {
		return ifMonitorJg;
	}

	/**
	 * 是否接箍监制
	 * 
	 * @param ifMonitorJg
	 *            value
	 */
	public void setIfMonitorJg(String ifMonitorJg) {
		this.ifMonitorJg = ifMonitorJg;
	}

	/**
	 * 监制编号
	 * 
	 * @return value
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            value
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 监制人
	 * 
	 * @return value
	 */
	public String getProducer() {
		return producer;
	}

	/**
	 * 监制人
	 * 
	 * @param producer
	 *            value
	 */
	public void setProducer(String producer) {
		this.producer = producer;
	}

	/**
	 * 监制到场时间
	 * 
	 * @return value
	 */
	public String getProducerTime() {
		return producerTime;
	}

	/**
	 * 监制到场时间
	 * 
	 * @param producerTime
	 *            value
	 */
	public void setProducerTime(String producerTime) {
		this.producerTime = producerTime;
	}

	/**
	 * 机床编号
	 * 
	 * @return value
	 */
	public String getMachNo() {
		return machNo;
	}

	/**
	 * 机床编号
	 * 
	 * @param machNo
	 *            value
	 */
	public void setMachNo(String machNo) {
		this.machNo = machNo;
	}

	/**
	 * 机床名称
	 * 
	 * @return value
	 */
	public String getMachNm() {
		return machNm;
	}

	/**
	 * 机床名称
	 * 
	 * @param machNm
	 *            value
	 */
	public void setMachNm(String machNm) {
		this.machNm = machNm;
	}

	/**
	 * 个数
	 * 
	 * @return value
	 */
	public String getProNum() {
		return proNum;
	}

	/**
	 * 个数
	 * 
	 * @param proNum
	 *            value
	 */
	public void setProNum(String proNum) {
		this.proNum = proNum;
	}

	/**
	 * 总重量
	 * 
	 * @return value
	 */
	public String getProWt() {
		return proWt;
	}

	/**
	 * 总重量
	 * 
	 * @param proWt
	 *            value
	 */
	public void setProWt(String proWt) {
		this.proWt = proWt;
	}

	/**
	 * 作业时间
	 * 
	 * @return value
	 */
	public String getRroTime() {
		return rroTime;
	}

	/**
	 * 作业时间
	 * 
	 * @param rroTime
	 *            value
	 */
	public void setRroTime(String rroTime) {
		this.rroTime = rroTime;
	}

	/**
	 * 作业班次
	 * 
	 * @return value
	 */
	public String getProShift() {
		return proShift;
	}

	/**
	 * 作业班次
	 * 
	 * @param proShift
	 *            value
	 */
	public void setProShift(String proShift) {
		this.proShift = proShift;
	}

	/**
	 * 作业班组
	 * 
	 * @return value
	 */
	public String getProGroup() {
		return proGroup;
	}

	/**
	 * 作业班组
	 * 
	 * @param proGroup
	 *            value
	 */
	public void setProGroup(String proGroup) {
		this.proGroup = proGroup;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 框号
	 * 
	 * @return value
	 */
	public String getKepNo() {
		return kepNo;
	}

	/**
	 * 框号
	 * 
	 * @param kepNo
	 *            value
	 */
	public void setKepNo(String kepNo) {
		this.kepNo = kepNo;
	}

	/**
	 * 仓库代码
	 * 
	 * @return value
	 */
	public String getStorageNo() {
		return storageNo;
	}

	/**
	 * 仓库代码
	 * 
	 * @param storageNo
	 *            value
	 */
	public void setStorageNo(String storageNo) {
		this.storageNo = storageNo;
	}

	/**
	 * 库位代码
	 * 
	 * @return value
	 */
	public String getLocationNo() {
		return locationNo;
	}

	/**
	 * 库位代码
	 * 
	 * @param locationNo
	 *            value
	 */
	public void setLocationNo(String locationNo) {
		this.locationNo = locationNo;
	}

	/**
	 * 仓库类型（8003 ）
	 * 
	 * @return value
	 */
	public String getStorageAttr() {
		return storageAttr;
	}

	/**
	 * 仓库类型（8003 ）
	 * 
	 * @param storageAttr
	 *            value
	 */
	public void setStorageAttr(String storageAttr) {
		this.storageAttr = storageAttr;
	}

	/**
	 * 仓库类型描述
	 * 
	 * @return value
	 */
	public String getStorageAttrName() {
		return storageAttrName;
	}

	/**
	 * 仓库类型描述
	 * 
	 * @param storageAttrName
	 *            value
	 */
	public void setStorageAttrName(String storageAttrName) {
		this.storageAttrName = storageAttrName;
	}

	/**
	 * 库类别代码(8002 )
	 * 
	 * @return value
	 */
	public String getStorageTypeNo() {
		return storageTypeNo;
	}

	/**
	 * 库类别代码(8002 )
	 * 
	 * @param storageTypeNo
	 *            value
	 */
	public void setStorageTypeNo(String storageTypeNo) {
		this.storageTypeNo = storageTypeNo;
	}

	/**
	 * 库类别代码描述
	 * 
	 * @return value
	 */
	public String getStorageTypeName() {
		return storageTypeName;
	}

	/**
	 * 库类别代码描述
	 * 
	 * @param storageTypeName
	 *            value
	 */
	public void setStorageTypeName(String storageTypeName) {
		this.storageTypeName = storageTypeName;
	}

	/**
	 * 管理单位代码（最底层科室代码）
	 * 
	 * @return value
	 */
	public String getManagementNo() {
		return managementNo;
	}

	/**
	 * 管理单位代码（最底层科室代码）
	 * 
	 * @param managementNo
	 *            value
	 */
	public void setManagementNo(String managementNo) {
		this.managementNo = managementNo;
	}

	/**
	 * 管理单位名称（最底层科室名称）
	 * 
	 * @return value
	 */
	public String getManagementName() {
		return managementName;
	}

	/**
	 * 管理单位名称（最底层科室名称）
	 * 
	 * @param managementName
	 *            value
	 */
	public void setManagementName(String managementName) {
		this.managementName = managementName;
	}

	private String woId = "";

	/**
	 * 工单号
	 */
	public String getWoId() {
		return woId;
	}

	/**
	 * 工单号
	 */
	public void setWoId(String woId) {
		this.woId = woId;
	}

	private String productFlag = "";
	private String matStatus = "";

	/**
	 * 材料类别（8014在制品、成品、商品）
	 */
	public String getProductFlag() {
		return productFlag;
	}

	/**
	 * 材料类别（8014在制品、成品、商品）
	 */
	public void setProductFlag(String productFlag) {
		this.productFlag = productFlag;
	}

	/**
	 * 材料状态（801501在制品阶段、801502成品、801503商品...）
	 */
	public String getMatStatus() {
		return matStatus;
	}

	/**
	 * 材料状态（801501在制品阶段、801502成品、801503商品...）
	 */
	public void setMatStatus(String matStatus) {
		this.matStatus = matStatus;
	}

	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 */
	private String coatType = "";
	/**
	 * 所属权单位代码
	 */
	private String belongCode = "";
	/**
	 * 所属权单位
	 */
	private String belongName = "";
	/**
	 * 备料码
	 */
	private String codeJgBl = "";
	/**
	 * 原料工艺文件号
	 */
	private String craftFileNo = "";
	/**
	 * 原料工艺序号
	 */
	private String craftSeq = "";
	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 */
	private String deterStatus = "";

	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 * 
	 * @return value
	 */
	public String getDeterStatus() {
		return deterStatus;
	}

	/**
	 * 判定状态（0.未判定，1.申请判定，2.已判定）
	 * 
	 * @param deterStatus
	 *            value
	 */
	public void setDeterStatus(String deterStatus) {
		this.deterStatus = deterStatus;
	}

	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 * 
	 * @return value
	 */
	public String getCoatType() {
		return coatType;
	}

	/**
	 * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
	 * 
	 * @param coatType
	 *            value
	 */
	public void setCoatType(String coatType) {
		this.coatType = coatType;
	}

	/**
	 * 所属权单位代码
	 * 
	 * @return value
	 */
	public String getBelongCode() {
		return belongCode;
	}

	/**
	 * 所属权单位代码
	 * 
	 * @param belongCode
	 *            value
	 */
	public void setBelongCode(String belongCode) {
		this.belongCode = belongCode;
	}

	/**
	 * 所属权单位
	 * 
	 * @return value
	 */
	public String getBelongName() {
		return belongName;
	}

	/**
	 * 所属权单位
	 * 
	 * @param belongName
	 *            value
	 */
	public void setBelongName(String belongName) {
		this.belongName = belongName;
	}

	/**
	 * 备料码
	 * 
	 * @return value
	 */
	public String getCodeJgBl() {
		return codeJgBl;
	}

	/**
	 * 备料码
	 * 
	 * @param codeJgBl
	 *            value
	 */
	public void setCodeJgBl(String codeJgBl) {
		this.codeJgBl = codeJgBl;
	}

	/**
	 * 原料工艺文件号
	 * 
	 * @return value
	 */
	public String getCraftFileNo() {
		return craftFileNo;
	}

	/**
	 * 原料工艺文件号
	 * 
	 * @param craftFileNo
	 *            value
	 */
	public void setCraftFileNo(String craftFileNo) {
		this.craftFileNo = craftFileNo;
	}

	/**
	 * 原料工艺序号
	 * 
	 * @return value
	 */
	public String getCraftSeq() {
		return craftSeq;
	}

	/**
	 * 原料工艺序号
	 * 
	 * @param craftSeq
	 *            value
	 */
	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}

	private String fInTime = "";

	/**
	 * 首次入库时间
	 * 
	 * @return value
	 */
	public String getFInTime() {
		return fInTime;
	}

	/**
	 * 首次入库时间
	 * 
	 * @param fInTime
	 *            value
	 */
	public void setFInTime(String fInTime) {
		this.fInTime = fInTime;
	}

	private String memo = "";

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	private String jgOrderno = "";

	public String getJgOrderno() {
		return jgOrderno;
	}

	public void setJgOrderno(String jgOrderno) {
		this.jgOrderno = jgOrderno;
	}

	private String deterResults = "";

	public String getDeterResults() {
		return deterResults;
	}

	public void setDeterResults(String deterResults) {
		this.deterResults = deterResults;
	}

	/**
	 * 合同用户
	 */
	private String finalUserDesc = "";
	/**
	 * 来源分类代码（8013）
	 */
	private String matOriginCode = "";
	/**
	 * 来源分类名称
	 */
	private String matOriginName = "";
	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 */
	private String soureCode = "";
	/**
	 * 来源地名称
	 */
	private String soureName = "";
	/**
	 * 技术标准
	 */
	private String judgeStdName = "";

	/**
	 * 合同用户
	 * 
	 * @return value
	 */
	public String getFinalUserDesc() {
		return finalUserDesc;
	}

	/**
	 * 合同用户
	 * 
	 * @param finalUserDesc
	 *            value
	 */
	public void setFinalUserDesc(String finalUserDesc) {
		this.finalUserDesc = finalUserDesc;
	}

	/**
	 * 来源分类代码（8013）
	 * 
	 * @return value
	 */
	public String getMatOriginCode() {
		return matOriginCode;
	}

	/**
	 * 来源分类代码（8013）
	 * 
	 * @param matOriginCode
	 *            value
	 */
	public void setMatOriginCode(String matOriginCode) {
		this.matOriginCode = matOriginCode;
	}

	/**
	 * 来源分类名称
	 * 
	 * @return value
	 */
	public String getMatOriginName() {
		return matOriginName;
	}

	/**
	 * 来源分类名称
	 * 
	 * @param matOriginName
	 *            value
	 */
	public void setMatOriginName(String matOriginName) {
		this.matOriginName = matOriginName;
	}

	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 * 
	 * @return value
	 */
	public String getSoureCode() {
		return soureCode;
	}

	/**
	 * 来源地代码（产线、外委、外购对应的具体项目）
	 * 
	 * @param soureCode
	 *            value
	 */
	public void setSoureCode(String soureCode) {
		this.soureCode = soureCode;
	}

	/**
	 * 来源地名称
	 * 
	 * @return value
	 */
	public String getSoureName() {
		return soureName;
	}

	/**
	 * 来源地名称
	 * 
	 * @param soureName
	 *            value
	 */
	public void setSoureName(String soureName) {
		this.soureName = soureName;
	}

	/**
	 * 技术标准
	 * 
	 * @return value
	 */
	public String getJudgeStdName() {
		return judgeStdName;
	}

	/**
	 * 技术标准
	 * 
	 * @param judgeStdName
	 *            value
	 */
	public void setJudgeStdName(String judgeStdName) {
		this.judgeStdName = judgeStdName;
	}

	private String qcmStaus = "";

	/**
	 * 交库状态
	 */
	public String getQcmStaus() {
		return qcmStaus;
	}

	/**
	 * 交库状态
	 */
	public void setQcmStaus(String qcmStaus) {
		this.qcmStaus = qcmStaus;
	}

	private String orderNo = "";
	private String orderSeq = "";
	private String orderSeqNo = "";
	private String ordPk = "";
	private String ordLnPk = "";
	private String ordLnDlyPk = "";

	public String getfInTime() {
		return fInTime;
	}

	public void setfInTime(String fInTime) {
		this.fInTime = fInTime;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOrderSeq() {
		return orderSeq;
	}

	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	public String getOrderSeqNo() {
		return orderSeqNo;
	}

	public void setOrderSeqNo(String orderSeqNo) {
		this.orderSeqNo = orderSeqNo;
	}

	public String getOrdPk() {
		return ordPk;
	}

	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	public String getOrdLnPk() {
		return ordLnPk;
	}

	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	private String proNumAll = "";

	private String pieces = "";

	/**
	 * 库存总个数
	 */
	public String getProNumAll() {
		return proNumAll;
	}

	/**
	 * 库存总个数
	 */
	public void setProNumAll(String proNumAll) {
		this.proNumAll = proNumAll;
	}

	/**
	 * 库存位置个数
	 */
	public String getPieces() {
		return pieces;
	}

	/**
	 * 库存位置个数
	 */
	public void setPieces(String pieces) {
		this.pieces = pieces;
	}

	private String craftSeqOrd = "";
	private String craftFileNoOrd = "";
	/**
	 * 成品合同工序序号
	 */
	public String getCraftSeqOrd() {
		return craftSeqOrd;
	}
	/**
	 * 成品合同工序序号
	 */
	public void setCraftSeqOrd(String craftSeqOrd) {
		this.craftSeqOrd = craftSeqOrd;
	}
	/**
	 * 成品合同工序文件
	 */
	public String getCraftFileNoOrd() {
		return craftFileNoOrd;
	}
	/**
	 * 成品合同工序文件
	 */
	public void setCraftFileNoOrd(String craftFileNoOrd) {
		this.craftFileNoOrd = craftFileNoOrd;
	}
	
	private String flagStoveNo="";
	private String stoveNo="";
	/**
	 * 标示炉号
	 */
	public String getFlagStoveNo() {
		return flagStoveNo;
	}
	/**
	 * 标示炉号
	 */
	public void setFlagStoveNo(String flagStoveNo) {
		this.flagStoveNo = flagStoveNo;
	}
	/**
	 * 冶炼炉号
	 */
	public String getStoveNo() {
		return stoveNo;
	}
	/**
	 * 冶炼炉号
	 */
	public void setStoveNo(String stoveNo) {
		this.stoveNo = stoveNo;
	}
	
	
}
